%global pkgvers 0
%global scdate0 20240509
%global schash0 18e5eb668ed03fcb2c1498af2c2ac72ac9629941
%global branch0 master
%global source0 https://gerrit.osmocom.org/osmo-bts.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           osmo-bts
Version:        1.7.2
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Osmocom BTS Implementation
License:        AGPLv3

URL:            https://osmocom.org/projects/osmobts/wiki/Wiki

BuildRequires:  git make autoconf automake libtool doxygen systemd
BuildRequires:  libosmocore-devel libosmo-abis-devel libosmo-netif-devel sqlite-devel

%undefine _hardened_build
%undefine _annotated_build

%description
Implements Layer 2 and higher of a more or less conventional
GSM BTS (Base Transceiver Station) - however, using an Abis/IP
interface, rather than the old-fashioned E1/T1.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
autoreconf -fi
%configure --enable-shared \
           --disable-static \
           --enable-sysmobts-calib \
           --enable-trx

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} VERBOSE=0


%install
make install DESTDIR=%{buildroot}


%check
make check


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc %{_docdir}/%{name}
%doc README.md
%doc doc contrib
%license COPYING
%{_bindir}/*
%{_unitdir}/*
%config %{_sysconfdir}/*


%changelog
* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- github update release
